次の方法で共有


Job Agents - Create Or Update

ジョブ エージェントを作成または更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/jobAgents/{jobAgentName}?api-version=2025-01-01

URI パラメーター

名前 / 必須 説明
jobAgentName
path True

string

取得するジョブ エージェントの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
location True

string

リソースが存在する地理的な場所

properties.databaseId True

string (arm-id)

ジョブ メタデータを格納するデータベースのリソース ID。

identity

JobAgentIdentity

ジョブ エージェントの ID。

sku

Sku

SKU の名前と層。

tags

object

リソース タグ。

応答

名前 説明
200 OK

JobAgent

リソース「JobAgent」更新操作が成功しました

201 Created

JobAgent

リソース「JobAgent」作成操作成功

ヘッダー

  • Location: string
  • Retry-After: integer
202 Accepted

リソース操作が受け入れられます。

ヘッダー

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Create or update a job agent
Create or update a job agent with identity
Create or update a job agent with sku.

Create or update a job agent

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  }
}

応答のサンプル

{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  },
  "sku": {
    "name": "JA100",
    "capacity": 100
  }
}
{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  },
  "sku": {
    "name": "JA100",
    "capacity": 100
  }
}

Create or update a job agent with identity

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01

{
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {}
    }
  },
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  }
}

応答のサンプル

{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {
        "clientId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7",
        "principalId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7"
      }
    }
  },
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  }
}
{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {
        "clientId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7",
        "principalId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7"
      }
    }
  },
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  }
}

Create or update a job agent with sku.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  },
  "sku": {
    "name": "JA400"
  }
}

応答のサンプル

{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  },
  "sku": {
    "name": "JA400",
    "capacity": 400
  }
}
{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  },
  "sku": {
    "name": "JA400",
    "capacity": 400
  }
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

JobAgent

An Azure SQL job agent.

JobAgentIdentity

Azure Active Directory identity configuration for a resource.

JobAgentIdentityType

ジョブ エージェント ID の種類

JobAgentState

ジョブ エージェントの状態。

JobAgentUserAssignedIdentity

Azure Active Directory identity configuration for a resource.

Sku

ARM リソース SKU。

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

JobAgent

An Azure SQL job agent.

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

JobAgentIdentity

ジョブ エージェントの ID。

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.databaseId

string (arm-id)

ジョブ メタデータを格納するデータベースのリソース ID。

properties.state

JobAgentState

ジョブ エージェントの状態。

sku

Sku

SKU の名前と層。

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

JobAgentIdentity

Azure Active Directory identity configuration for a resource.

名前 説明
tenantId

string (uuid)

ジョブ エージェント ID テナント ID

type

JobAgentIdentityType

ジョブ エージェント ID の種類

userAssignedIdentities

<string,  JobAgentUserAssignedIdentity>

使用するユーザー割り当て ID のリソース ID

JobAgentIdentityType

ジョブ エージェント ID の種類

説明
None

なし

SystemAssigned

システム割り当て

UserAssigned

UserAssigned

SystemAssignedUserAssigned

SystemAssignedUserAssigned

JobAgentState

ジョブ エージェントの状態。

説明
Creating

作成

Ready

準備完了

Updating

更新中

Deleting

削除中

Disabled

Disabled

JobAgentUserAssignedIdentity

Azure Active Directory identity configuration for a resource.

名前 説明
clientId

string (uuid)

The Azure Active Directory client id.

principalId

string (uuid)

The Azure Active Directory principal id.

Sku

ARM リソース SKU。

名前 説明
capacity

integer (int32)

特定の SKU の容量。

family

string

同じ SKU に対して、サービスの世代が異なるハードウェアがある場合は、ここでキャプチャできます。

name

string

SKU の名前 。通常は、文字 + 番号コード (P3 など)。

size

string

特定の SKU のサイズ

tier

string

特定の SKU のレベルまたはエディション (Basic、Premium など)。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。